Bug 1008787 - (ghc-yaml) Review Request: ghc-yaml - Support for parsing and rendering YAML documents
Review Request: ghc-yaml - Support for parsing and rendering YAML documents
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 630303 pandoc-1.12
  Show dependency treegraph
 
Reported: 2013-09-17 01:10 EDT by Jens Petersen
Modified: 2013-12-13 22:09 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-yaml-0.8.5-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 04:34:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-09-17 01:10:48 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-yaml.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-yaml-0.8.5-1.fc19.src.rpm

Description:
Provides support for parsing and emitting Yaml documents.

The package is broken down into two modules. "Data.Yaml" provides a high-level
interface based around the JSON datatypes provided by the aeson package.
"Text.Libyaml" provides a lower-level, streaming interface. For most users,
"Data.Yaml" is recommended.
Comment 1 Jens Petersen 2013-09-17 01:10:54 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5943827
Comment 2 Jens Petersen 2013-09-17 01:14:59 EDT
Needed for yesod and also pandoc-1.12.
Comment 3 Jens Petersen 2013-09-17 01:16:14 EDT
http://packdeps.haskellers.com/reverse/yaml
Comment 5 Ricky Elrod 2013-11-14 07:09:15 EST
Taking.
Comment 6 Ricky Elrod 2013-11-14 08:59:56 EST
APPROVED, but see rpmlint output and try to get rid of the rpath error. You should be able to use chrpath for that, pretty easily (which is why I'm approving now rather than having you wait for a new review :) ).

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: ghc-yaml-devel. Does not provide -static: ghc-
  yaml-devel.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

(ok for haskell packages)


Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-yaml-0.8.5-2.fc21.x86_64.rpm
          ghc-yaml-devel-0.8.5-2.fc21.x86_64.rpm
          ghc-yaml-0.8.5-2.fc21.src.rpm
ghc-yaml.x86_64: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
ghc-yaml.x86_64: W: spelling-error %description -l en_US aeson -> arson, meson, Aesop
ghc-yaml.x86_64: W: spelling-error %description -l en_US Libyaml -> Libya ml, Libya-ml, Libya
ghc-yaml-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/yaml2json ['/builddir/build/BUILD/yaml-0.8.5/dist/build', '/usr/lib64/ghc-7.6.3/conduit-1.0.3', '/usr/lib64/ghc-7.6.3/void-0.5.11', '/usr/lib64/ghc-7.6.3/semigroups-0.8.5', '/usr/lib64/ghc-7.6.3/resourcet-0.4.6', '/usr/lib64/ghc-7.6.3/lifted-base-0.2.1.0', '/usr/lib64/ghc-7.6.3/monad-control-0.3.2.1', '/usr/lib64/ghc-7.6.3/transformers-base-0.4.1', '/usr/lib64/ghc-7.6.3/base-unicode-symbols-0.2.2.4', '/usr/lib64/ghc-7.6.3/aeson-0.6.1.0', '/usr/lib64/ghc-7.6.3/vector-0.10.0.1', '/usr/lib64/ghc-7.6.3/primitive-0.5.0.1', '/usr/lib64/ghc-7.6.3/unordered-containers-0.2.3.0', '/usr/lib64/ghc-7.6.3/time-1.4.0.1', '/usr/lib64/ghc-7.6.3/template-haskell-2.8.0.0', '/usr/lib64/ghc-7.6.3/pretty-1.1.1.0', '/usr/lib64/ghc-7.6.3/syb-0.4.0', '/usr/lib64/ghc-7.6.3/old-locale-1.0.0.5', '/usr/lib64/ghc-7.6.3/mtl-2.1.2', '/usr/lib64/ghc-7.6.3/transformers-0.3.0.0', '/usr/lib64/ghc-7.6.3/hashable-1.1.2.5', '/usr/lib64/ghc-7.6.3/dlist-0.5', '/usr/lib64/ghc-7.6.3/blaze-builder-0.3.1.1', '/usr/lib64/ghc-7.6.3/attoparsec-0.10.4.0', '/usr/lib64/ghc-7.6.3/text-0.11.3.1', '/usr/lib64/ghc-7.6.3/containers-0.5.0.0', '/usr/lib64/ghc-7.6.3/bytestring-0.10.0.2', '/usr/lib64/ghc-7.6.3/deepseq-1.3.0.1', '/usr/lib64/ghc-7.6.3/array-0.4.0.1', '/usr/lib64/ghc-7.6.3/base-4.6.0.1', '/usr/lib64/ghc-7.6.3/integer-gmp-0.5.0.0', '/usr/lib64/ghc-7.6.3/ghc-prim-0.3.0.0', '/usr/lib64/ghc-7.6.3']
ghc-yaml-devel.x86_64: W: no-manual-page-for-binary yaml2json
ghc-yaml.src: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
ghc-yaml.src: W: spelling-error %description -l en_US aeson -> arson, meson, Aesop
ghc-yaml.src: W: spelling-error %description -l en_US Libyaml -> Libya ml, Libya-ml, Libya
3 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-yaml ghc-yaml-devel
ghc-yaml.x86_64: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
ghc-yaml.x86_64: W: spelling-error %description -l en_US aeson -> arson, meson, Aesop
ghc-yaml.x86_64: W: spelling-error %description -l en_US Libyaml -> Libya ml, Libya-ml, Libya
ghc-yaml-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/yaml2json ['/builddir/build/BUILD/yaml-0.8.5/dist/build', '/usr/lib64/ghc-7.6.3/conduit-1.0.3', '/usr/lib64/ghc-7.6.3/void-0.5.11', '/usr/lib64/ghc-7.6.3/semigroups-0.8.5', '/usr/lib64/ghc-7.6.3/resourcet-0.4.6', '/usr/lib64/ghc-7.6.3/lifted-base-0.2.1.0', '/usr/lib64/ghc-7.6.3/monad-control-0.3.2.1', '/usr/lib64/ghc-7.6.3/transformers-base-0.4.1', '/usr/lib64/ghc-7.6.3/base-unicode-symbols-0.2.2.4', '/usr/lib64/ghc-7.6.3/aeson-0.6.1.0', '/usr/lib64/ghc-7.6.3/vector-0.10.0.1', '/usr/lib64/ghc-7.6.3/primitive-0.5.0.1', '/usr/lib64/ghc-7.6.3/unordered-containers-0.2.3.0', '/usr/lib64/ghc-7.6.3/time-1.4.0.1', '/usr/lib64/ghc-7.6.3/template-haskell-2.8.0.0', '/usr/lib64/ghc-7.6.3/pretty-1.1.1.0', '/usr/lib64/ghc-7.6.3/syb-0.4.0', '/usr/lib64/ghc-7.6.3/old-locale-1.0.0.5', '/usr/lib64/ghc-7.6.3/mtl-2.1.2', '/usr/lib64/ghc-7.6.3/transformers-0.3.0.0', '/usr/lib64/ghc-7.6.3/hashable-1.1.2.5', '/usr/lib64/ghc-7.6.3/dlist-0.5', '/usr/lib64/ghc-7.6.3/blaze-builder-0.3.1.1', '/usr/lib64/ghc-7.6.3/attoparsec-0.10.4.0', '/usr/lib64/ghc-7.6.3/text-0.11.3.1', '/usr/lib64/ghc-7.6.3/containers-0.5.0.0', '/usr/lib64/ghc-7.6.3/bytestring-0.10.0.2', '/usr/lib64/ghc-7.6.3/deepseq-1.3.0.1', '/usr/lib64/ghc-7.6.3/array-0.4.0.1', '/usr/lib64/ghc-7.6.3/base-4.6.0.1', '/usr/lib64/ghc-7.6.3/integer-gmp-0.5.0.0', '/usr/lib64/ghc-7.6.3/ghc-prim-0.3.0.0', '/usr/lib64/ghc-7.6.3']
ghc-yaml-devel.x86_64: W: no-manual-page-for-binary yaml2json
2 packages and 0 specfiles checked; 1 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-yaml (rpmlib, GLIBC filtered):
    ghc(aeson-0.6.1.0-54e9b7c11ff37bac123e0692d78b4911)
    ghc(attoparsec-0.10.4.0-d9fd97cfc1a1748b3cde35adf7fd233b)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(conduit-1.0.3-ec7ca59ed34ff9b35dbcaf5ab02fcbd0)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(resourcet-0.4.6-8296622f1d6e2f65b1154a5d5c64a0b9)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc(unordered-containers-0.2.3.0-c7952fe8bed178bdf8ed4d090730c9da)
    ghc(vector-0.10.0.1-869166d5d49db46ce6c328ea5f8defbf)
    libHSaeson-0.6.1.0-ghc7.6.3.so()(64bit)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSattoparsec-0.10.4.0-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbase-unicode-symbols-0.2.2.4-ghc7.6.3.so()(64bit)
    libHSblaze-builder-0.3.1.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHSconduit-1.0.3-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdlist-0.5-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHShashable-1.1.2.5-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSlifted-base-0.2.1.0-ghc7.6.3.so()(64bit)
    libHSmonad-control-0.3.2.1-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSprimitive-0.5.0.1-ghc7.6.3.so()(64bit)
    libHSresourcet-0.4.6-ghc7.6.3.so()(64bit)
    libHSsemigroups-0.8.5-ghc7.6.3.so()(64bit)
    libHSsyb-0.4.0-ghc7.6.3.so()(64bit)
    libHStemplate-haskell-2.8.0.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHStransformers-base-0.4.1-ghc7.6.3.so()(64bit)
    libHSunordered-containers-0.2.3.0-ghc7.6.3.so()(64bit)
    libHSvector-0.10.0.1-ghc7.6.3.so()(64bit)
    libHSvoid-0.5.11-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    libyaml-0.so.2()(64bit)
    rtld(GNU_HASH)

ghc-yaml-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(aeson-0.6.1.0-54e9b7c11ff37bac123e0692d78b4911)
    ghc(array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3)
    ghc(attoparsec-0.10.4.0-d9fd97cfc1a1748b3cde35adf7fd233b)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(base-unicode-symbols-0.2.2.4-ec1c787160bf91bc92b0b4f99c4199a9)
    ghc(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(conduit-1.0.3-ec7ca59ed34ff9b35dbcaf5ab02fcbd0)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926)
    ghc(dlist-0.5-6480552fbf191185cc86167748682e90)
    ghc(ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd)
    ghc(hashable-1.1.2.5-e0f2541518f84d3123a819112b4ffe20)
    ghc(integer-gmp-0.5.0.0-2f15426f5b53fe4c6490832f9b20d8d7)
    ghc(lifted-base-0.2.1.0-1fc58d04dadef9d2c544b404e368ba32)
    ghc(monad-control-0.3.2.1-ae94ebee0db8b67fe098e79cdb997ef6)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(old-locale-1.0.0.5-6729cb9d9cc62d150655de8fc5401b91)
    ghc(pretty-1.1.1.0-66181c695e6a2e173ba2088cf55cc396)
    ghc(primitive-0.5.0.1-8e5f40b409f7bb31ae1acfb125279700)
    ghc(resourcet-0.4.6-8296622f1d6e2f65b1154a5d5c64a0b9)
    ghc(semigroups-0.8.5-fd3e2881d0d0f0cbf8299b7f75ba9253)
    ghc(syb-0.4.0-c48d52f3188b986ddaa9dd9ae40072f8)
    ghc(template-haskell-2.8.0.0-a3012803fde1dc362e555b35a1a78e6d)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc(transformers-base-0.4.1-c94ebf0095acdcb87db8d034e3e92265)
    ghc(unordered-containers-0.2.3.0-c7952fe8bed178bdf8ed4d090730c9da)
    ghc(vector-0.10.0.1-869166d5d49db46ce6c328ea5f8defbf)
    ghc(void-0.5.11-c2cab62da55a73b75201be81623f8abc)
    ghc(yaml-0.8.5-621bc761b7f7eaa36fed85930c8f1ccb)
    ghc-compiler
    ghc-devel(aeson-0.6.1.0-54e9b7c11ff37bac123e0692d78b4911)
    ghc-devel(attoparsec-0.10.4.0-d9fd97cfc1a1748b3cde35adf7fd233b)
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(conduit-1.0.3-ec7ca59ed34ff9b35dbcaf5ab02fcbd0)
    ghc-devel(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc-devel(resourcet-0.4.6-8296622f1d6e2f65b1154a5d5c64a0b9)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-devel(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc-devel(unordered-containers-0.2.3.0-c7952fe8bed178bdf8ed4d090730c9da)
    ghc-devel(vector-0.10.0.1-869166d5d49db46ce6c328ea5f8defbf)
    ghc-yaml(x86-64)
    libHSaeson-0.6.1.0-ghc7.6.3.so()(64bit)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSattoparsec-0.10.4.0-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbase-unicode-symbols-0.2.2.4-ghc7.6.3.so()(64bit)
    libHSblaze-builder-0.3.1.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHSconduit-1.0.3-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdlist-0.5-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHShashable-1.1.2.5-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSlifted-base-0.2.1.0-ghc7.6.3.so()(64bit)
    libHSmonad-control-0.3.2.1-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSprimitive-0.5.0.1-ghc7.6.3.so()(64bit)
    libHSresourcet-0.4.6-ghc7.6.3.so()(64bit)
    libHSrts-ghc7.6.3.so()(64bit)
    libHSsemigroups-0.8.5-ghc7.6.3.so()(64bit)
    libHSsyb-0.4.0-ghc7.6.3.so()(64bit)
    libHStemplate-haskell-2.8.0.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHStransformers-base-0.4.1-ghc7.6.3.so()(64bit)
    libHSunordered-containers-0.2.3.0-ghc7.6.3.so()(64bit)
    libHSvector-0.10.0.1-ghc7.6.3.so()(64bit)
    libHSvoid-0.5.11-ghc7.6.3.so()(64bit)
    libHSyaml-0.8.5-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libffi.so.6()(64bit)
    libgmp.so.10()(64bit)
    libm.so.6()(64bit)
    librt.so.1()(64bit)
    libyaml-0.so.2()(64bit)
    pkgconfig(yaml-0.1)
    rtld(GNU_HASH)



Provides
--------
ghc-yaml:
    ghc(yaml-0.8.5-621bc761b7f7eaa36fed85930c8f1ccb)
    ghc-yaml
    ghc-yaml(x86-64)
    libHSyaml-0.8.5-ghc7.6.3.so()(64bit)

ghc-yaml-devel:
    ghc-devel(yaml-0.8.5-621bc761b7f7eaa36fed85930c8f1ccb)
    ghc-yaml-devel
    ghc-yaml-devel(x86-64)
    ghc-yaml-static



Unversioned so-files
--------------------
ghc-yaml: /usr/lib64/ghc-7.6.3/yaml-0.8.5/libHSyaml-0.8.5-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/yaml/0.8.5/yaml-0.8.5.tar.gz :
  CHECKSUM(SHA256) this package     : 2f9bb63357b06476d17d8183674a82090a769399a23360888bd9b2ff0a3a528a
  CHECKSUM(SHA256) upstream package : 2f9bb63357b06476d17d8183674a82090a769399a23360888bd9b2ff0a3a528a


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1008787
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 7 Jens Petersen 2013-11-18 02:18:54 EST
(In reply to Ricky Elrod from comment #6)
> APPROVED, but see rpmlint output and try to get rid of the rpath error. You
> should be able to use chrpath for that, pretty easily (which is why I'm
> approving now rather than having you wait for a new review :) ).

Thanks!  Good catch - cblrpm is supposed to pick up that rpath
but it seems Cabal is not presenting it for some reason
(it works in pandoc for example).
Anyway sure, I will fix the yaml2json rpath when importing.


New Package SCM Request
=======================
Package Name: ghc-yaml
Short Description: Parsing and rendering of YAML documents
Owners: petersen codeblock
Branches: f20 f19 f18 el6
InitialCC: haskell-sig
Comment 8 Jens Petersen 2013-11-18 04:46:52 EST
> Thanks!  Good catch - cblrpm is supposed to pick up that rpath
> but it seems Cabal is not presenting it for some reason

BTW I just tested cblrpm in F20 and that does pull in chrpath
so I guess this issue is fixed in newer Cabal (>=1.16).
I should upgrade... ;)
Comment 9 Gwyn Ciesla 2013-11-18 08:04:16 EST
Git done (by process-git-requests).
Comment 10 Jens Petersen 2013-11-19 04:36:01 EST
(In reply to Jens Petersen from comment #8)
> BTW I just tested cblrpm in F20 and that does pull in chrpath
> so I guess this issue is fixed in newer Cabal (>=1.16).
> I should upgrade... ;)

Doh, the chrpath was already there I was just running it on
the wrong (non-existent) file, so it is a cblrpm bug/rfe...
Comment 11 Jens Petersen 2013-11-19 05:23:54 EST
0.7.0.4 would build on F18 (conduit-0.4).
Comment 12 Fedora Update System 2013-11-19 05:25:43 EST
ghc-yaml-0.8.5-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-yaml-0.8.5-3.fc19
Comment 13 Fedora Update System 2013-11-19 05:25:53 EST
ghc-yaml-0.8.5-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-yaml-0.8.5-3.fc20
Comment 14 Fedora Update System 2013-11-19 16:46:29 EST
ghc-yaml-0.8.5-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 15 Fedora Update System 2013-12-01 04:34:56 EST
ghc-yaml-0.8.5-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-12-13 22:09:04 EST
ghc-yaml-0.8.5-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.